# xmlpp::SaxParser::SaxParser::AttributeHasName Struct Reference

This functor is a helper to find an attribute by name in an AttributeList using the standard algorithm std::find_if. More...

List of all members.

## Public Member Functions
| AttributeHasName (Glib::ustring const &n)
bool | operator() (Attribute const &attribute)
## Public Attributes
Glib::ustring const & | name

## Detailed Description

This functor is a helper to find an attribute by name in an AttributeList using the standard algorithm std::find_if.

Example:
`Glib::ustring name = "foo";
AttributeList::const_iterator attribute = std::find_if(attributes.begin(), attributes.end(), AttributeHasName(name));`

## Constructor & Destructor Documentation

xmlpp::SaxParser::SaxParser::AttributeHasName::AttributeHasName | ( | Glib::ustring const & | n | ) | `[inline]`

## Member Function Documentation

bool xmlpp::SaxParser::SaxParser::AttributeHasName::operator() | ( | Attribute const & | attribute | ) | `[inline]`

References xmlpp::SaxParser::SaxParser::AttributeHasName::name, and xmlpp::SaxParser::SaxParser::Attribute::name.

## Member Data Documentation

Glib::ustring const& xmlpp::SaxParser::SaxParser::AttributeHasName::name

Referenced by xmlpp::SaxParser::SaxParser::AttributeHasName::operator()().

The documentation for this struct was generated from the following file:

- saxparser.h